"use strict";
this.name = "sothis_tc_new_cargoes";
this.author      = "spara"; 
this.copyright   = "2013 Mika Spåra"; 
this.licence = "CC-BY-SA 3.0";
this.version     = "1.0"; 
this.description = "Sothis new cargoes market definition";

this.startUp = function() {
	if (!worldScripts.CargoTypeExtension || !worldScripts["Spawn-sothis"]) {
		for(prop in this){
			if(prop!=='name' && prop!=='version') 
				delete this[prop];
		}
	return;
	}
	else {
		worldScripts["CargoTypeExtension"].registerOXPStation(this.name,"sothis");
	}
}

this.exportCargoAmount = function(good) {
		return 2;
}

this.exportCargoPrice = function(good) {
		return 1.05;
}

this.importCargoPrice = function(good) {
		return 0.95;
}

this.randomCargoAmount = function(good) {
		return 5;
} 

this.randomCargoChance = function(good) {
		return 2;
}

this.randomImportChance = function(good) {
		return 0.01;
}

this.systemImportChance = function(good) {
		return 1;
}

this.importPermitCheck = function() {
		return true;
}

this.exportPermitCheck = function() {
		return true;
}

this.stationGossip = function() {
	var randomizeGossip = Math.floor((Math.random()*2)+1); 
	switch(randomizeGossip) {
		case 2: return "* Sothis Trade Center has a good selection of special cargoes.";
	}
}
